# AITileList_IndustryProducing Class Reference
[Classes that create a list of items.]

Creates a list of tiles which the industry checks to see if a station is there to receive cargo produced by this industry. More...

`#include <ai_tilelist.hpp>`

Inheritance diagram for AITileList_IndustryProducing:

## Public Member Functions
| AITileList_IndustryProducing (IndustryID industry_id, int radius)
## Static Public Member Functions
static const char * | GetClassName ()

## Detailed Description

Creates a list of tiles which the industry checks to see if a station is there to receive cargo produced by this industry.

Definition at line 85 of file ai_tilelist.hpp.

## Constructor & Destructor Documentation

AITileList_IndustryProducing::AITileList_IndustryProducing | ( | IndustryID | industry_id,
|  | int | radius |
| ) |  |  |

Parameters:

  | industry_id | The industry to create the AITileList around.
  | radius | The radius of the station you will be using.

Precondition:
  AIIndustry::IsValidIndustry(industry_id).

  radius > 0.

Definition at line 109 of file ai_tilelist.cpp.

References _settings_game, AITileList::AddTile(), BEGIN_TILE_LOOP, CA_UNMODIFIED, END_TILE_LOOP, GetIndustryIndex(), GetProductionAroundTiles(), Industry::height, IsTileType(), AIIndustry::IsValidIndustry(), IsValidTile(), lengthof, StationSettings::modified_catchment, MP_INDUSTRY, Industry::produced_cargo, GameSettings::station, TileDiffXY(), Industry::width, and Industry::xy.

The documentation for this class was generated from the following files:

- src/ai/api/ai_tilelist.hpp
- src/ai/api/ai_tilelist.cpp